Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: corosync

Interfaces

### Description:

Corosync Cluster Engine.

### Interfaces:

corosync_admin( domain , role )

##### Summary

All of the rules required to administrate an corosync environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

corosync_domtrans( domain )

##### Summary

Execute a domain transition to run corosync.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

corosync_exec( domain )

##### Summary

Execute corosync in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

corosync_initrc_domtrans( domain )

##### Summary

Execute corosync init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

corosync_read_log( domain )

##### Summary

Read corosync log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

corosync_rw_tmpfs( domain )

##### Summary

Read and write corosync tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

corosync_stream_connect( domain )

##### Summary

Connect to corosync over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

corosyncd_admin( domain , role )

##### Summary

All of the rules required to administrate an corosync environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

Return